<?php
if ( ! isset( $content_width ) )
$content_width = 630;


add_action( 'after_setup_theme', 'gray_white_black_setup' );

function gray_white_black_setup() {
	
add_editor_style();
add_theme_support('automatic-feed-links');
add_theme_support('post-thumbnails');

set_post_thumbnail_size( 240, 120, true ); // Default size

// Make theme available for translation
// Translations can be filed in the /languages/ directory
load_theme_textdomain('gray_white_black', get_template_directory() . '/languages');
	

register_nav_menus(
	array(
	  'primary' => __('Header Menu', 'gray_white_black'),
	  'secondary' => __('Footer Menu', 'gray_white_black')
	)
);

}

function gray_white_black_widgets() {
register_sidebar(array(
	'name' => __( 'Sidebar Widget Area', 'gray_white_black'),
	'id' => 'sidebar-widget-area',
	'description' => __( 'The sidebar widget area', 'gray_white_black'),
	'before_widget' => '<div class="widget">',
	'after_widget' => '</div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
));
}


add_action ( 'widgets_init', 'gray_white_black_widgets' );

function gray_white_black_enqueue_comment_reply() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'gray_white_black_enqueue_comment_reply' );


function gray_white_black_page_menu() {
	if (is_page()) { $highlight = "page_item"; } else {$highlight = "menu-item current-menu-item"; }
	echo '<ul class="menu">';
	wp_list_pages('sort_column=menu_order&title_li=&link_before=&link_after=&depth=3');
	echo '</ul>';
}

function gray_white_black_page_menu_flat() {
	if (is_page()) { $highlight = "page_item"; } else {$highlight = "menu-item current-menu-item"; }
	echo '<ul class="menu">';
	wp_list_pages('sort_column=menu_order&title_li=&link_before=&link_after=&depth=1');
	echo '</ul>';
}

?>